Subject: bug#59498: 29.0.50; c++-ts-mode get wrong-type-argument error when enabled

From: Stefan Kangas <[email-masked]>
Date: Sun, 27 Nov 2022 16:24:07 -0800

Yuan Fu <[email-masked]> writes:

>> OK, but do you agree that adding yet another pair of variables,
>> treesit-comment-start/end, is the opposite of what we want?
>
> Yes. I removed them in d5dc1dbf7cb.

I also think some documentation updates might be needed:

admin/notes/tree-sitter/html-manual/Parser_002dbased-Indentation.html
191: defined by regular expression <code>treesit-comment-end</code>
192: (see <a href="Tree_002dsitter-major-modes.html">treesit-comment-end</a>).
239: expression <code>treesit-comment-start</code> (see <a
href="Tree_002dsitter-major-modes.html">treesit-comment-start</a>).
This function assumes <var>parent</var> is
248: <code>treesit-comment-start</code>.  This function assumes
<var>parent</var> is

doc/lispref/modes.texi
4974: defined by regular expression @code{treesit-comment-end}
4975: (@pxref{Tree-sitter major modes, treesit-comment-end}).
5014: expression @code{treesit-comment-start} (@pxref{Tree-sitter major
5015: modes, treesit-comment-start}).  This function assumes @var{parent} is
5023: @code{treesit-comment-start}.  This function assumes @var{parent} is

doc/lispref/parsing.texi
1733: @defvar treesit-comment-start
1739: @defvar treesit-comment-end

lisp/treesit.el
1180:     Matches if text after point matches `treesit-comment-end'.
1215:     Returns the position after a match for `treesit-comment-start'.